Skip to main content
GET
https://checkout.dintero.com/v1
/
branding
/
profiles
/
{profile_id}
/
variant
/
{variant}
/
color
/
{color}
/
width
/
{width}
/
{template}
Get checkout profile image
curl --request GET \
  --url https://checkout.dintero.com/v1/branding/profiles/{profile_id}/variant/{variant}/color/{color}/width/{width}/{template} \
  --header 'x-api-key: <api-key>'

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

X-API-Key authentication for accessing regular endpoints. Use Create api-key to create a key.

The content of the header should look like the following:

x-api-key: {api_key}

Path Parameters

profile_id
string
required

Profile Id like P00112233.abc123def321aAabBb9z9cccDdd

variant
enum<string>
required

Image variant, multi-colors or mono-colored.

Available options:
colors,
mono
color
string
required

rgb hex color without the # character or an rbg() or rgba() color code

width
string
required

width of image

Pattern: ^[0-9]*$
template
enum<string>
required

Template for branding image

Available options:
dintero_top_frame.svg,
logos.svg

Response

svg image

Last modified on May 8, 2026